DRUO
Get started
End Users

Create End User

POSThttps://api.druo.com/end-users/create

Creates a new End User representing an individual or an organization.

This endpoint creates an End User object. End Users can be either individuals (humans) or organizations (companies), and store associated identity details, contact information, and billing addresses.

Request body

typestringRequired

The type of end user. Must be either INDIVIDUAL or ORGANIZATION.

Possible values:INDIVIDUALORGANIZATION
emailstringRequired

The user's email address.

first_namestringRequired

The user's first name. Required if type is INDIVIDUAL.

last_namestringRequired

The user's last name. Required if type is INDIVIDUAL.

organizationstringRequired

The organization's name. Required if type is ORGANIZATION.

local_idstringRequired

The user's national or local identification number. For Mexico, use the 13-digit RFC. Required for merchants in Colombia.

local_id_typestringRequired

The user's ID type.

local_id_countrystringRequired

The user's citizenship in 3-letter ISO code.

phone_numberobjectRequired

The user's phone number.

The country code for the user's phone number.

phone_number.numberstringRequired

The user's phone number without country code.

merchant_idstringoptional

The merchant ID associated with this end user.

date_of_birthstringoptional

The user's date of birth in YYYY-MM-DD format.

addressobjectoptional

The user's address details.

Address line 1.

Address line 2.

Address line 3.

address.localitystringoptional

Locality of the provided address.

address.sublocalitystringoptional

Sublocality of the provided address.

Administrative district of the provided address.

address.postal_codestringoptional

Postal code of the provided address.

address.countrystringoptional

Country of the provided address as a 3-letter ISO code.

preferred_languagestringoptional

The user's preferred language, used for system notifications.

notestringoptional

A custom note associated with this end user.

primary_referencestringoptional

The End User's primary reference. Can be any value to associate the end user to an entity in an external system.

secondary_referencestringoptional

The End User's secondary reference. Can be any value to associate the end user to an entity in an external system.

metadataobjectoptional

Set of key-value pairs that you can attach to an object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.

Response

uuidstringoptional

The End User's UUID.

Example: eur_747536f4-1efd-4cad-91b3-cc8aaeed93e3
codestringoptional

The End User's code.

Example: ECSCDSVFGH
typestringoptional

The type of end user. Whether a company or an individual.

Example: COMPANY
first_namestringoptional

The user's first name.

Example: John
last_namestringoptional

The user's last name.

Example: Smith
organizationstringoptional

The organization's name.

Example: DRUO
local_idstringoptional

The user's ID number.

Example: 45235553
local_id_typestringoptional

The user's ID type.

Example: NATIONAL_ID
local_id_countrystringoptional

The user's citizenship in 3-letter ISO code.

Example: COL
date_of_birthstringoptional

The user's date of birth in YYYY-MM-DD format.

Example: 2021-07-19
emailstringoptional

The user's email address.

Example: john.smith@gmail.com
phone_numberobjectoptional

The user's phone number details.

Example: {"country_code": 57, "number": 3002328080}

The phone number's country code.

Example: 57
phone_number.numberintegeroptional

The phone number without country code.

Example: 3002328080
addressobjectoptional

The user's address details.

Address line 1.

Example: Calle 1 # 19A - 91

Address line 2.

Example: Casa

Address line 3.

Example: #2
address.localitystringoptional

Locality of the provided address.

Example: 4
address.sublocalitystringoptional

Sublocality of the provided address.

Example: k

Administrative district of the provided address.

Example: fo
address.postal_codestringoptional

Postal code of the provided address.

Example: 111101
address.countrystringoptional

Country of the provided address.

Example: COL
preferred_languagestringoptional

The user's preferred language. Used for system notifications.

Example: en_US
notestringoptional

A custom note associated with this end user.

Example: This is a special customer.
primary_referencestringoptional

The End User's primary reference. Can be any value to associate the end user to an entity in an external system.

Example: 23423524
secondary_referencestringoptional

The End User's secondary reference. Can be any value to associate the end user to an entity in an external system.

Example: bj39fhow39fhqp3f0hfae4344
metadataobjectoptional

Set of key-value pairs that you can attach to an object.

Example: {"order_id": "6735"}
creation_sourcestringoptional

The channel through which the end user was created.

Example: API
date_created_gmtstringoptional

The date and time the end user was created in GMT.

Example: 2021-11-15T23:23:38Z
date_updated_gmtstringoptional

The date and time the end user was last updated in GMT.

Example: 2021-11-15T23:23:38Z
NextGETGet End User